package usersvc

type (
	//User base user model
	User struct {
		ID          string `bson:"_id" hqi:",omitempty"`
		Name        string `hqi:",omitempty"`
		Description string `hqi:",omitempty"`
		// Password
		Accounts []UserAccount `hqi:",omitempty"`
	}
	//UserAccount links
	UserAccount struct {
		Kind string            `hqi:",omitempty"`
		Data map[string]string `hqi:",omitempty"`
	}
)
